Bug 205963 - Cannot push to remote git repository via SSH
Cannot push to remote git repository via SSH
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.0
PC Windows XP
: P3 (vote)
: 7.2
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-05 21:53 UTC by theosib
Modified: 2012-03-01 11:00 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Logs from netbeans, failed git accesses. (21.03 KB, application/zip)
2011-12-06 18:25 UTC, theosib
Details
Another log file, with password debug options enabled (64.90 KB, application/octet-stream)
2011-12-11 19:04 UTC, theosib
Details
Netbeans log (78.80 KB, application/octet-stream)
2011-12-28 18:49 UTC, theosib
Details

Note You need to log in before you can comment on or make changes to this bug.
Description theosib 2011-12-05 21:53:39 UTC
I'm trying to push to a remote repository, and NetBeans gives me a nondescript "cannot connect" error.  I have verified that the remote machine is reachable, and I can ssh in as the git user.  (Using Putty.)  So NetBeans' failure to connect is a bug, and it's also a bug that there is no verbose information pertaining to WHY it cannot connect.

This is the address (on my local network) of the machine I'm trying to push to:

ssh://git@192.168.1.30:9999/~/repos/revue_config

Could there be a problem with using a port number?  No problem for Putty.


Product Version = NetBeans IDE Dev (Build nbms-and-javadoc-8311-on-20111122)
Operating System = Windows XP version 5.1 running on x86
Java; VM; Vendor = 1.6.0_29
Runtime = Java HotSpot(TM) Client VM 20.4-b02
Comment 1 theosib 2011-12-05 22:23:18 UTC
BTW, I'm logging in using a password.  I'm assuming that since it did not give me an AUTHENTICATION error that I didn't mistype the password (repeatedly).
Comment 2 Ondrej Vrabec 2011-12-06 08:52:57 UTC
Attach the message log after a failed attempt: ~\.netbeans\dev\var\log\messages.log
Comment 3 theosib 2011-12-06 18:23:30 UTC
Two messages.log files contained references to git, so I am attaching those.
Comment 4 theosib 2011-12-06 18:25:35 UTC
Created attachment 113889 [details]
Logs from netbeans, failed git accesses.
Comment 5 theosib 2011-12-06 18:26:49 UTC
One other thing I should mention:  I redacted the log files a bit.  I don't want to broadcast my external IP address and ssh port number.
Comment 6 Ondrej Vrabec 2011-12-07 12:15:28 UTC
I don't know what's wrong. Another port number should not be a problem, from the log it looks like no password is provided. Are you sure you're entering the correct password and that the username field is also filled?
Please run the IDE with: -J-Dversioning.util.KeyringSupport.level=-1 -J-Dversioning.keyring.logpassword=true . This time, do not attach the message log (your password will be printed in plaintext). Jus check the message log that the password is correct - the password will be printed as part of a log message prefixed with "Getting password:"
Comment 7 theosib 2011-12-11 02:43:18 UTC
To this file:

c:\program files\netbeans dev 20110912600\etc\netbeans.conf

I added the following lines:

-J-Dversioning.util.KeyringSupport.level=-1
-J-Dversioning.keyring.logpassword=true

I started up the IDE, and then I right-clicked on my project and selected git > remote > push.

I entered the address:

ssh://192.168.1.30:9999
Username: git
Password: <omitted>
Save password

When I clicked Next, it told me that the authenticity of the host could not be verified, and I told it that I wanted to connect anyhow.


The log file contains absolutely no mention of getting a password.  What I get is this:

INFO [org.netbeans.modules.git.ui.repository.remote.SelectUriStep]: Cannot connect to ssh://192.168.1.30:9999/
com.jcraft.jsch.JSchException: Auth cancel
	at com.jcraft.jsch.Session.connect(Session.java:460)
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:128)
Caused: org.eclipse.jgit.errors.TransportException: ssh://git@192.168.1.30:9999/: Auth cancel
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:138)
	at org.netbeans.libs.git.jgit.JGitSshSessionFactory.getSession(JGitSshSessionFactory.java:105)
	at org.eclipse.jgit.transport.SshTransport.getSession(SshTransport.java:121)
	at org.eclipse.jgit.transport.TransportGitSsh$SshFetchConnection.<init>(TransportGitSsh.java:248)
	at org.eclipse.jgit.transport.TransportGitSsh.openFetch(TransportGitSsh.java:147)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:73)
Caused: org.netbeans.libs.git.GitException$AuthorizationException: ssh://git@192.168.1.30:9999/: Auth cancel
	at org.netbeans.libs.git.jgit.commands.TransportCommand.handleException(TransportCommand.java:166)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:86)
	at org.netbeans.libs.git.jgit.commands.GitCommand.execute(GitCommand.java:69)
	at org.netbeans.libs.git.GitClient.listRemoteBranches(GitClient.java:578)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:523)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:519)
	at org.openide.util.NetworkSettings.suppressAuthenticationDialog(NetworkSettings.java:140)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker$1.call(GitClient.java:740)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethodIntern(GitClient.java:769)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:709)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:687)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.access$300(GitClient.java:684)
	at org.netbeans.modules.git.client.GitClient.listRemoteBranches(GitClient.java:519)
[catch] at org.netbeans.modules.git.ui.repository.remote.SelectUriStep$2.perform(SelectUriStep.java:221)
	at org.netbeans.modules.git.client.GitProgressSupport.performIntern(GitProgressSupport.java:100)
	at org.netbeans.modules.git.client.GitProgressSupport.run(GitProgressSupport.java:93)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1411)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1991)


I definitely entered a password, and I'm certain that I did not mistype it every time.

Another thing that I can think of is that the password isn't all alphanumeric.  It contains characters that you couldn't display an HTML document without escaping them.  It wouldn't surprise me if NetBeans had some minor bugs handling some of those.  Any issues with < or | characters?  By contrast, the password for my source forge git account (which I access on a Mac, not Windows, so I don't know about the platform factor) is much less weird, and I don't have a problem there.
Comment 8 Ondrej Vrabec 2011-12-11 08:03:20 UTC
> The log file contains absolutely no mention of getting a password.
Does the log say at least anything about saving the password?
Have you tried not selecting 'Save Password' checkbox? In that case the password is not stored but stays in memory. Can you try?
> Another thing that I can think of is that the password isn't all alphanumeric.
Can you just for a while change the password temporarily and try with just alphanumeric password?
Comment 9 theosib 2011-12-11 14:29:21 UTC
I tried not checking "Save password".  No change.

I tried changing the password to the same one I use on the Mac to push to sourceforge.  No change.

I stil have no trouble logging in as this user with Putty, so the authentication problem is in the mind of Netbeans' git plugin.

You know that error you'll get sometimes when ssh tries to connect to a machine it thinks it knows about, except it thinks the MAC address has changed, and it warns you about a man-in-the-middle attack?  Is there a way to determine if it's doing this?  Is there a "known_hosts" file I can clear?  I've never had this happen on the first time connecting to a machine, but it's worth trying.

I would push this project from the Mac (which works), except that the Mac version of NetBeans won't load it without making a bunch of complaints.  I want to push the EXACT project that works on Windows, so I can't do that.

Regarding those options you suggested, did I do it wrong?  Or is there another bug that is preventing them from working?

Is there a way I can access the git tools directly so I can get more diagnostic info?  Or are they written in pure Java?  Is there a project I can acquire whose code we can tweak in order to get more diagnostic info?  (Something smaller than all of Netbeans.)

One other thing: I'm running Windows in a Parallels VM.  It had the network in Shared mode, which is like using the host Mac as a NAT gateway.  I tried switching it to Bridged mode, where the VM gets an address as a peer to the Mac, but this made no difference.

So to sum up:
- I'm not typing an incorrect password
- There isn't any problem with weird characters in the password
- There is no connectivity issue, because Putty has no problem
- You say it's not the port, and I believe you
- It's not a subnet issue

I think the meta-bugs here are that Netbeans produces totally inadequate diagnostic info in the log, and it may be ignoring the options we set in order to get more diagnostic info.

I would like to use git on Windows, so if you're willing to work with me, I'm happy to keep trying things until we figure it out.
Comment 10 Ondrej Vrabec 2011-12-11 15:16:58 UTC
Send me the log with the options enabled after a failed connect attempt, i'll try to figure out why the options do not work. Check again that it does not contain any sensitive data before submitting.
Comment 11 theosib 2011-12-11 19:04:26 UTC
Created attachment 114028 [details]
Another log file, with password debug options enabled
Comment 12 theosib 2011-12-11 19:04:53 UTC
This log file I just attached was produced after I added those options.
Comment 13 Ondrej Vrabec 2011-12-11 20:45:14 UTC
> This log file I just attached was produced after I added those options.
The log file does not seem to recognize the provided options. Are you sure you entered them in the correct place? They have to be put at the end of "netbeans_default_options" statement in the netbeans.conf file, so the line should look similar to this:
netbeans_default_options="-J-client -J-Xss2m -J-Xms32m -J-XX:PermSize=32m -J-Dnetbeans.logger.console=true -J-ea -J-Dapple.laf.useScreenMenuBar=true -J-Dapple.awt.graphics.UseQuartz=true -J-Dsun.java2d.noddraw=true -J-Dsun.zip.disableMemoryMapping=true -J-Dversioning.util.KeyringSupport.level=-1
-J-Dversioning.keyring.logpassword=true"
Comment 14 theosib 2011-12-13 14:13:01 UTC
I had not put the options in the right place.  Here's what I have in the config file now (all in one line):

netbeans_default_options="-J-client -J-Xss2m -J-Xms32m -J-XX:PermSize=32m -J-Dnetbeans.logger.console=true -J-ea -J-Dapple.laf.useScreenMenuBar=true -J-Dapple.awt.graphics.UseQuartz=true -J-Dsun.java2d.noddraw=true -J-Dsun.zip.disableMemoryMapping=true -J-Dversioning.util.KeyringSupport.level=-1 -J-Dversioning.keyring.logpassword=true"

This changed things a LITTLE bit, and here's the tail end of my log file now.  The keyring option did something, but the password logging didn't happen.

FINE [versioning.util.KeyringSupport]: Deleting password for guri_password:ssh://git@192.168.1.30:9999/
WARNING [org.netbeans.TopSecurityManager]: use of system property netbeans.user has been obsoleted in favor of InstalledFileLocator at org.netbeans.modules.keyring.impl.Utils.goMinusR(Utils.java:75)
FINE [versioning.util.KeyringSupport]: Deleting password for guri_passphrase:ssh://git@192.168.1.30:9999/
FINE [versioning.util.KeyringSupport]: Deleting password for guri_password:ssh://192.168.1.30:9999/
FINE [versioning.util.KeyringSupport]: Deleting password for guri_passphrase:ssh://192.168.1.30:9999/
INFO [org.netbeans.modules.git.ui.repository.remote.SelectUriStep]: Cannot connect to ssh://192.168.1.30:9999/
com.jcraft.jsch.JSchException: Auth cancel
	at com.jcraft.jsch.Session.connect(Session.java:460)
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:128)
Caused: org.eclipse.jgit.errors.TransportException: ssh://git@192.168.1.30:9999/: Auth cancel
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:138)
	at org.netbeans.libs.git.jgit.JGitSshSessionFactory.getSession(JGitSshSessionFactory.java:105)
	at org.eclipse.jgit.transport.SshTransport.getSession(SshTransport.java:121)
	at org.eclipse.jgit.transport.TransportGitSsh$SshFetchConnection.<init>(TransportGitSsh.java:248)
	at org.eclipse.jgit.transport.TransportGitSsh.openFetch(TransportGitSsh.java:147)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:73)
Caused: org.netbeans.libs.git.GitException$AuthorizationException: ssh://git@192.168.1.30:9999/: Auth cancel
	at org.netbeans.libs.git.jgit.commands.TransportCommand.handleException(TransportCommand.java:166)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:86)
	at org.netbeans.libs.git.jgit.commands.GitCommand.execute(GitCommand.java:69)
	at org.netbeans.libs.git.GitClient.listRemoteBranches(GitClient.java:578)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:523)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:519)
	at org.openide.util.NetworkSettings.suppressAuthenticationDialog(NetworkSettings.java:140)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker$1.call(GitClient.java:740)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethodIntern(GitClient.java:769)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:709)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:687)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.access$300(GitClient.java:684)
	at org.netbeans.modules.git.client.GitClient.listRemoteBranches(GitClient.java:519)
[catch] at org.netbeans.modules.git.ui.repository.remote.SelectUriStep$2.perform(SelectUriStep.java:221)
	at org.netbeans.modules.git.client.GitProgressSupport.performIntern(GitProgressSupport.java:100)
	at org.netbeans.modules.git.client.GitProgressSupport.run(GitProgressSupport.java:93)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1411)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1991)
WARNING [org.netbeans.modules.progress.spi.InternalHandle]: Cannot call progress on a taks that was never started at org.netbeans.modules.git.client.GitProgressSupport.setProgressMessage(GitProgressSupport.java:254)
SEVERE [org.netbeans.modules.netbinox]: framework event org.eclipse.equinox.security type 2
java.lang.NullPointerException
	at org.eclipse.equinox.internal.security.storage.PasswordProviderSelector.getInstance(PasswordProviderSelector.java:67)
	at org.eclipse.equinox.internal.security.auth.AuthPlugin.stop(AuthPlugin.java:73)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:843)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.stop(BundleContextImpl.java:836)
Caused: org.osgi.framework.BundleException: Exception in org.eclipse.equinox.internal.security.auth.AuthPlugin.stop() of bundle org.eclipse.equinox.security.
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.stop(BundleContextImpl.java:863)
	at org.eclipse.osgi.framework.internal.core.BundleHost.stopWorker(BundleHost.java:501)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.suspend(AbstractBundle.java:550)
[catch] at org.eclipse.osgi.framework.internal.core.Framework.suspendBundle(Framework.java:1097)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.suspendAllBundles(StartLevelManager.java:617)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:261)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.shutdown(StartLevelManager.java:215)
	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.suspend(InternalSystemBundle.java:266)
	at org.eclipse.osgi.framework.internal.core.Framework.shutdown(Framework.java:690)
	at org.eclipse.osgi.framework.internal.core.Framework.close(Framework.java:588)
	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle$1.run(InternalSystemBundle.java:243)
	at java.lang.Thread.run(Thread.java:662)


BTW, if I leave out the port by accident, I get "connection refused" instead of "auth cancel".
Comment 15 theosib 2011-12-18 03:09:29 UTC
Any other things I can try?  Have you given up?  Or is git just broken on Windows?
Comment 16 Ondrej Vrabec 2011-12-28 13:47:02 UTC
> FINE [versioning.util.KeyringSupport]: Deleting password for guri_password:ssh://git@192.168.1.30:9999/
this is weird, the password gets constantly deleted instead of saved. Are you sure there were no other *KeyringSupport* relevant messages?
Please do this once more (with the properties included in netbeans.conf):
1) Git -> Push
2) Select "Specify Git Repository Location" option
3) Enter all necessary fields, do not forget to select "Save Password" checkbox
4) Then click on Next and attach the full messages.log with the messages. Do not forget to replace all confidential data with '*'
Comment 17 theosib 2011-12-28 18:42:08 UTC
I followed your instructions carefully.  After entering the information, I got a dialog that told me that the host wasn't recognized, showed me the RSA fingerprint, and asked me if I wanted to continue.  I clicked Yes.  It still tells me that it cannot connect.  I'll attach another log.
Comment 18 theosib 2011-12-28 18:43:34 UTC
Note:  Every time I attempt to commit (click Next), I hear the hard disk accessed on the server.  It's connecting and doing SOMETHING, but it fails somewhere along the way.
Comment 19 theosib 2011-12-28 18:49:04 UTC
Created attachment 114511 [details]
Netbeans log
Comment 20 Ondrej Vrabec 2011-12-29 16:01:09 UTC
Well, i also get Auth cancel exception if i enter a different username into the "Username" field than the one part of the url. So if i enter:
ssh://tester@10.163.20.69:2222/srv/git/repo but for example type tester2 into the Username field - or leave the field *empty* - i get the same exception.
Do you enter the same values in both fields? Is "git" part of the URL as well as is typed into the Username field???
Comment 21 theosib 2011-12-29 16:32:38 UTC
In the past, when I would enter the username in both places, it would automatically remove the username from the URL.

Anyhow, adding "git@" into the URL makes no difference.

Here's the tail end of the log this time:


FINE [versioning.util.KeyringSupport]: Saving password for guri_password:ssh://git@192.168.1.30:9999/~/repos/lightsout
FINEST [versioning.util.KeyringSupport]: Saving password: "*correct password*"
FINE [versioning.util.KeyringSupport]: Saving password for guri_passphrase:ssh://git@192.168.1.30:9999/~/repos/lightsout
FINEST [versioning.util.KeyringSupport]: Saving password: ""
FINEST [versioning.util.KeyringSupport]: Getting password: guri_password:ssh://git@192.168.1.30:9999/~/repos/lightsout -- "*correct password*"
FINE [versioning.util.KeyringSupport]: Deleting password for guri_password:ssh://git@192.168.1.30:9999/~/repos/lightsout
FINE [versioning.util.KeyringSupport]: Deleting password for guri_passphrase:ssh://git@192.168.1.30:9999/~/repos/lightsout
INFO [org.netbeans.modules.git.ui.repository.remote.SelectUriStep]: Cannot connect to ssh://git@192.168.1.30:9999/~/repos/lightsout
com.jcraft.jsch.JSchException: Auth cancel
	at com.jcraft.jsch.Session.connect(Session.java:460)
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:128)
Caused: org.eclipse.jgit.errors.TransportException: ssh://git@192.168.1.30:9999/~/repos/lightsout: Auth cancel
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:138)
	at org.netbeans.libs.git.jgit.JGitSshSessionFactory.getSession(JGitSshSessionFactory.java:105)
	at org.eclipse.jgit.transport.SshTransport.getSession(SshTransport.java:121)
	at org.eclipse.jgit.transport.TransportGitSsh$SshFetchConnection.<init>(TransportGitSsh.java:248)
	at org.eclipse.jgit.transport.TransportGitSsh.openFetch(TransportGitSsh.java:147)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:73)
Caused: org.netbeans.libs.git.GitException$AuthorizationException: ssh://git@192.168.1.30:9999/~/repos/lightsout: Auth cancel
	at org.netbeans.libs.git.jgit.commands.TransportCommand.handleException(TransportCommand.java:166)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:86)
	at org.netbeans.libs.git.jgit.commands.GitCommand.execute(GitCommand.java:69)
	at org.netbeans.libs.git.GitClient.listRemoteBranches(GitClient.java:578)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:523)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:519)
	at org.openide.util.NetworkSettings.suppressAuthenticationDialog(NetworkSettings.java:140)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker$1.call(GitClient.java:740)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethodIntern(GitClient.java:769)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:709)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:687)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.access$300(GitClient.java:684)
	at org.netbeans.modules.git.client.GitClient.listRemoteBranches(GitClient.java:519)
[catch] at org.netbeans.modules.git.ui.repository.remote.SelectUriStep$2.perform(SelectUriStep.java:221)
	at org.netbeans.modules.git.client.GitProgressSupport.performIntern(GitProgressSupport.java:100)
	at org.netbeans.modules.git.client.GitProgressSupport.run(GitProgressSupport.java:93)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1411)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1991)


I was concerned that perhaps the problem was caused by some errors in the URL and such.  For instance, I had been entering the URL wrong.  I also had not initialized the remote repo.  All sorts of mistakes that Netbeans should have given me informative errors about but didn't.  But that's because it can't connect in the first plea.  In any case, I now have a properly initialized repo, and the URL is verified correct, and the username is also in the URL.  Removing "git@" doesn't help either.

Same error.

I have another repo right next to this one (under the repos directory), and I access it all the time using git command line tools.
Comment 22 Ondrej Vrabec 2012-01-20 13:54:44 UTC
Could you download the latest dev build and try again with that one? We upgraded the ssh implementation (JSCh library) some time ago, maybe it helps or at least i get a fresh stacktrace with the error that corresponds with the latest JSCh sources.
http://bits.netbeans.org/download/trunk/nightly/latest/
Comment 23 Ondrej Vrabec 2012-02-07 10:15:01 UTC
Any update?
Comment 24 theosib 2012-02-07 19:45:22 UTC
I would LOVE to give you an update, but I cannot.  I can run Netbeans 7.1RC2, but when I try to run the nightly (one I JUST downloaded), I always get this exception on startup:


java.lang.NullPointerException
	at org.openide.loaders.DataLoaderPool$FolderLoader.findPrimaryFile(DataLoaderPool.java:1081)
	at org.openide.loaders.MultiFileLoader.findPrimaryFileImpl(MultiFileLoader.java:365)
	at org.openide.loaders.MultiFileLoader.handleFindDataObject(MultiFileLoader.java:99)
	at org.openide.loaders.DataObjectPool.handleFindDataObject(DataObjectPool.java:161)
[catch] at org.openide.loaders.DataLoader.findDataObject(DataLoader.java:407)
Caused: java.io.IOException
	at org.openide.loaders.DataLoader.findDataObject(DataLoader.java:422)
	at org.openide.loaders.DataLoader.findDataObject(DataLoader.java:380)
	at org.netbeans.core.NbLoaderPool.findServicesFolder(NbLoaderPool.java:692)
[catch] at org.netbeans.core.NbLoaderPool.findServicesLookup(NbLoaderPool.java:701)
	at org.netbeans.core.CoreBridgeImpl.lookupCacheLoad(CoreBridgeImpl.java:129)
	at org.netbeans.core.startup.MainLookup.modulesClassPathInitialized(MainLookup.java:152)
	at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:352)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1096)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:906)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:350)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:294)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:167)
	at org.netbeans.core.startup.Main.start(Main.java:303)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
	at java.lang.Thread.run(Thread.java:662)


I have reported this separately, and others have said that they have this problem.  But what it means for the current bug is that we're going to have to wait until they fix this.  I think we should leave this bug open and add a dependency on the other one.
Comment 25 theosib 2012-02-07 19:46:31 UTC
The bug holding me up is #202933.
Comment 26 Ondrej Vrabec 2012-02-07 19:51:01 UTC
bug #202933 relates to GUI builder, it does not seem to be relatred to the NullPointerException you pasted here.
Comment 27 theosib 2012-02-07 22:15:10 UTC
I'm sorry.  I must have navigated incorrectly.  Here's the correct bug number:  206826
Comment 28 theosib 2012-02-15 17:26:18 UTC
I was able to work around the startup bug for the latest nightly build.  It was encouraging when it asked me the usual ssh message you see when you connect to a machine for the first time.  However, the connection still failed.  This is the log file starting from the point in time when I clicked "next" in the git dialog:



WARNING [org.netbeans.TopSecurityManager]: use of system property netbeans.user has been obsoleted in favor of InstalledFileLocator at org.netbeans.modules.keyring.impl.Utils.goMinusR(Utils.java:75)
INFO [org.netbeans.modules.git.ui.repository.remote.SelectUriStep]: Cannot connect to ssh://192.168.1.30:9999/repos/lightsout
com.jcraft.jsch.JSchException: Auth fail
	at com.jcraft.jsch.Session.connect(Session.java:464)
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:128)
Caused: org.eclipse.jgit.errors.TransportException: ssh://git@192.168.1.30:9999/repos/lightsout: Auth fail
	at org.eclipse.jgit.transport.JschConfigSessionFactory.getSession(JschConfigSessionFactory.java:138)
	at org.netbeans.libs.git.jgit.JGitSshSessionFactory.getSession(JGitSshSessionFactory.java:105)
	at org.eclipse.jgit.transport.SshTransport.getSession(SshTransport.java:121)
	at org.eclipse.jgit.transport.TransportGitSsh$SshFetchConnection.<init>(TransportGitSsh.java:248)
	at org.eclipse.jgit.transport.TransportGitSsh.openFetch(TransportGitSsh.java:147)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:74)
Caused: org.netbeans.libs.git.GitException$AuthorizationException: ssh://git@192.168.1.30:9999/repos/lightsout: Auth fail
	at org.netbeans.libs.git.jgit.commands.TransportCommand.handleException(TransportCommand.java:172)
	at org.netbeans.libs.git.jgit.commands.ListRemoteObjectsCommand.run(ListRemoteObjectsCommand.java:87)
	at org.netbeans.libs.git.jgit.commands.GitCommand.execute(GitCommand.java:72)
	at org.netbeans.libs.git.GitClient.listRemoteBranches(GitClient.java:654)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:523)
	at org.netbeans.modules.git.client.GitClient$31.call(GitClient.java:519)
	at org.openide.util.NetworkSettings.suppressAuthenticationDialog(NetworkSettings.java:140)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker$1.call(GitClient.java:740)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethodIntern(GitClient.java:769)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:709)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.runMethod(GitClient.java:687)
	at org.netbeans.modules.git.client.GitClient$CommandInvoker.access$300(GitClient.java:684)
	at org.netbeans.modules.git.client.GitClient.listRemoteBranches(GitClient.java:519)
[catch] at org.netbeans.modules.git.ui.repository.remote.SelectUriStep$2.perform(SelectUriStep.java:251)
	at org.netbeans.modules.git.client.GitProgressSupport.performIntern(GitProgressSupport.java:101)
	at org.netbeans.modules.git.client.GitProgressSupport.run(GitProgressSupport.java:94)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1404)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1984)
Comment 29 lepix 2012-02-27 02:05:31 UTC
I have exactly the same problem on Netbeans 7.1, on Mac OS X or Windows 7, and after multiples tries, it seems that the error message “Auth cancel" appears only when the remote machine is on the local network.

If I try by command line (from terminal, with git clone ...) , everything is working.

If I try on Netbeans and that the destination is on the web, there is no problem (I tried with the exactly same git repository), everything is working.
Comment 30 lepix 2012-02-27 04:22:21 UTC
Just want to say that the problem also occur on the Build 201202260400.

And I just had one more confirmation than the problem is from Netbeans :

-> I have my repository configured to pull remotely from 192.168.0.3 
-> I open my repository on SmartGit. I click on "Pull", I fill the username, the private key, etc, it works.
-> I open my repository on Netbeans. Team > Git > Remote > Pull. All the input are pre-filled thanks to SmartGit. But the connection fails.
Comment 31 Ondrej Vrabec 2012-02-28 11:47:10 UTC
(In reply to comment #29)
> I have exactly the same problem on Netbeans 7.1, on Mac OS X or Windows 7, and
> after multiples tries, it seems that the error message “Auth cancel" appears
> only when the remote machine is on the local network.
I'm getting the failure only when connecting to ssh://127.0.0.1/... I'll fix my case and then let you try. Maybe it will help you too.
Comment 32 Ondrej Vrabec 2012-02-28 15:34:38 UTC
fix: http://hg.netbeans.org/core-main/rev/4e911873ad15
Comment 33 Ondrej Vrabec 2012-02-28 15:38:08 UTC
i just pushed the fix that solves my case. I would appreciate if you downloaded a dev build in few days (lets say at the end of the week - by that time the fix will have made it into a dev build) and tried the fix yourself and let me know if if helped.
Comment 34 lepix 2012-02-28 17:25:07 UTC
OK, I will download the dev build at the end of the week.

Thank you !
Comment 35 Quality Engineering 2012-03-01 11:00:15 UTC
Integrated into 'main-golden', will be available in build *201203010400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4e911873ad15
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #205963 - Cannot push to remote git repository via SSH


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo